%global realname bbmustache

%global __rebar %{_bindir}/rebar3

Name:		erlang-%{realname}
Version:	1.12.2
Release:	%mkrel 3
BuildArch:	noarch
Summary:	Binary pattern match-based Mustache template engine for Erlang
Group:		Development/Other
License:	MIT
URL:		https://github.com/soranoba/bbmustache
Source0:	https://github.com/soranoba/bbmustache/archive/v%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar3


%description
Binary pattern match-based Mustache template engine for Erlang.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
#%%{erlang_install}
mkdir -p %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/
mkdir -p %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/ebin/
install -m 0644 -p _build/default/lib/%{__erlappname}/ebin/%{__erlappname}.{app,beam} %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/ebin/


%if 0
%check
%{erlang_test}
%endif


%files
%license LICENSE
%doc doc/ README.md
%{erlang_appdir}/




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.12.2-3.mga10
+ Revision: 2215341
- Mageia 10 Mass Rebuild

* Wed Aug 28 2024 neoclust <neoclust> 1.12.2-2.mga10
+ Revision: 2091943
- Rebuild against new erlang 27

* Sun Oct 02 2022 neoclust <neoclust> 1.12.2-1.mga9
+ Revision: 1893825
- New version
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 15 2021 wally <wally> 1.12.1-1.mga9
+ Revision: 1741440
- new version 1.12.1
- switch to rebar3 build

* Sat Dec 19 2020 wally <wally> 1.11.0-1.mga8
+ Revision: 1661279
- new version 1.11.0
- make pkg noarch

* Fri Feb 14 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1520449
- Mageia 8 Mass Rebuild

* Wed Nov 21 2018 wally <wally> 1.6.0-2.mga7
+ Revision: 1332989
- make pkg archful

* Tue Nov 20 2018 wally <wally> 1.6.0-1.mga7
+ Revision: 1332421
- imported package erlang-bbmustache


* Wed Sep 19 2018 Peter Lemenkov <lemenkov@gmail.com> - 1.6.0-1
- Ver. 1.6.0
- Switch to noarch

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.5.0-1
- Initial build
